
From: Andrew Morton <akpm@osdl.org>

arch/sparc64/kernel/sparc64_ksyms.c:127: error: `_raw_spin_lock' undeclared here (not in a function)
arch/sparc64/kernel/sparc64_ksyms.c:127: error: initializer element is not constant
arch/sparc64/kernel/sparc64_ksyms.c:127: error: (near initialization for `__ksymtab__raw_spin_lock.value')
arch/sparc64/kernel/sparc64_ksyms.c:128: error: `_raw_spin_lock_flags' undeclared here (not in a function)
arch/sparc64/kernel/sparc64_ksyms.c:128: error: initializer element is not constant
arch/sparc64/kernel/sparc64_ksyms.c:128: error: (near initialization for `__ksymtab__raw_spin_lock_flags.value')
arch/sparc64/kernel/sparc64_ksyms.c:127: error: __ksymtab__raw_spin_lock causes a section type conflict
arch/sparc64/kernel/sparc64_ksyms.c:128: error: __ksymtab__raw_spin_lock_flags causes a section type conflict

Cc: Ingo Molnar <mingo@elte.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/sparc64/kernel/sparc64_ksyms.c |    3 ---
 1 files changed, 3 deletions(-)

diff -puN arch/sparc64/kernel/sparc64_ksyms.c~spinlock-consolidation-sparc64-fix arch/sparc64/kernel/sparc64_ksyms.c
--- 25-sparc64/arch/sparc64/kernel/sparc64_ksyms.c~spinlock-consolidation-sparc64-fix	2005-06-26 02:12:02.000000000 -0700
+++ 25-sparc64-akpm/arch/sparc64/kernel/sparc64_ksyms.c	2005-06-26 02:12:13.000000000 -0700
@@ -123,9 +123,6 @@ EXPORT_SYMBOL(__read_unlock);
 EXPORT_SYMBOL(__write_lock);
 EXPORT_SYMBOL(__write_unlock);
 EXPORT_SYMBOL(__write_trylock);
-/* Out of line spin-locking implementation. */
-EXPORT_SYMBOL(_raw_spin_lock);
-EXPORT_SYMBOL(_raw_spin_lock_flags);
 
 /* Hard IRQ locking */
 EXPORT_SYMBOL(synchronize_irq);
_
